# 使用websocket实现消息提示


### 1、进行websocket的相应配置
#### 添加需要的文件
* js：webapp/lib/websocket/sockjs.js
* spring配置文件：resources/spring/applicationContext-websocket.xml

#### 配置websocket的拦截器与连接Handler
<bean id="websocket" class="com.hand.hap.message.websocket.DefaultWebSocketHandler"/>

    <bean class="com.hand.hap.message.websocket.WebSocketSessionManager"/>
    <bean class="com.hand.hap.message.websocket.BadgeManager"/>
    <websocket:handlers>
        <websocket:mapping path="/websocket" handler="websocket"/>
        <websocket:handshake-interceptors>
            <bean class="com.hand.hap.message.websocket.WebSocketHandshakeInterceptor"/>
        </websocket:handshake-interceptors>
        <websocket:sockjs/>
    </websocket:handlers>



